package com.example.oaidtest2;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.Button;
import android.widget.TextView;

import com.bun.miitmdid.core.MdidSdkHelper;
import com.example.oaidtest2.utils.CertUtil;
import com.example.oaidtest2.utils.SystemInfoUtil;

public class MainActivity extends AppCompatActivity implements DemoHelper.AppIdsUpdater {
    TextView tv_sdk, tv_sys, tv_cert, tv_info;
    Button btn_refresh;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        tv_sdk = findViewById(R.id.tv_sdk);
        tv_sdk.setText(getSdkVersionInfo());
        tv_sys = findViewById(R.id.tv_sys);
        tv_sys.setText(getSysInfo());
        tv_cert = findViewById(R.id.tv_cert);
        tv_cert.setText(CertUtil.getCertInfo(DemoHelper.loadPemFromAssetFile(this, DemoHelper.ASSET_FILE_NAME_CERT)));
        tv_info = findViewById(R.id.tv_info);
        DemoHelper demoHelper = new DemoHelper(this);
        demoHelper.getDeviceIds(this);
        btn_refresh = findViewById(R.id.btn_refresh);
        btn_refresh.setOnClickListener(v -> {
            demoHelper.getDeviceIds(this);
        });
    }

    private String getSdkVersionInfo(){
        return String.format("OAID SDK Test\nVersion: 1.0.29 (%d)", MdidSdkHelper.SDK_VERSION_CODE);
    }

    private String getSysInfo(){
        return String.format("Time: %s\nBrand: %s\nManufacturer: %s\nModel: %s\nAndroidVersion: %s",
                SystemInfoUtil.getSystemTime(),
                SystemInfoUtil.getDeviceBrand(),
                SystemInfoUtil.getDeviceManufacturer(),
                SystemInfoUtil.getSystemModel(),
                SystemInfoUtil.getSystemVersion()
        );
    }

//    @Override
//    public void OnIdsAvalid(@NonNull String ids) {
//
//    }

    @Override
    public void onIdsValid(String ids) {
        runOnUiThread(() -> {
            tv_info.setText("OAID: \n" + ids);
            tv_sys.setText(getSysInfo());
        });
    }
}